/* Plus Minus */


.single-product  form.cart{
    margin-top: 20px;
}
.single-product .quantity-wrapper{
    border: 1px solid black;
  display: flex;
}
.single-product .quantity-wrapper .quantity-minus, .quantity-wrapper .quantity-plus{
    background-color: transparent;
    color: black;
    font-size: 20px;
    padding: 0 15px;
    margin: 0;
}
.single-product.woocommerce-js .quantity .qty{
    min-height: 44px;
    border: 1px solid black;
    border-top: 0;
  border-bottom: 0;
  outline: 0;
  color: black;
}
.single-product.woocommerce-js .quantity .qty:focus{
    border-style: solid !important;    
    border-top: 0 !important;
    border-bottom: 0 !important;
}
.quantity-wrapper input[type=number]{
    -moz-appearance: textfield;
    
}
.single-product .quantity-wrapper input::-webkit-outer-spin-button,
.single-product .quantity-wrapper input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
  
}
.single-product.woocommerce-js div.product .product_title {
    margin: 0 0 .7em 0;
  }

.wac-desk-only{
	display:none;
}
.wac-custom-gallery.mob{
		display:block;
}

.product-details-warp{
	    display: flex;
    width: 100%;
    flex-wrap: wrap;
    gap: 50px;
	justify-content: space-between;
	
}
.woocommerce-product-details__short-description .elementor-widget-container p{
	font-size:14px;
	line-height:18px;
}

  @media (min-width: 922px) {
	  .product-details-left{
		          width: calc(50% - 50px);
				  float: left;
				  position: relative;
	  }
	  html:has(body.single-product), body.single-product {
    overflow-x: visible !important;
		}
	  .product-details-left .woocommerce-product-gallery{
		      position: sticky !important;
				top: 226px;
				left: 0;
	  }
	  
/* 	  .wac-custom-gallery.mob{
		display:none;
} */

/* .wac-desk-only{
	display:block;
} */
	      .woocommerce #content .ast-woocommerce-container div.product div.images, .woocommerce .ast-woocommerce-container div.product div.images, .woocommerce-page #content .ast-woocommerce-container div.product div.images, .woocommerce-page .ast-woocommerce-container div.product div.images {
        width: 100%;
        float: none;
    }
	  
    .single-product .woocommerce-product-gallery__image.flex-active-slide {
        margin-left: 0;
    }
    .woocommerce ul.products, .woocommerce-page ul.products{
        column-gap: 50px;
    }

    .single-product.woocommerce-js div.product div.images .flex-control-thumbs{
        margin-right: 1rem;
      }
    
      .single-product.woocommerce-js div.product div.woocommerce-product-gallery--columns-4 .flex-control-thumbs li{
        /* border-radius: 6px;
        border: 1px solid #f5f5f5; */
        width: 50px;
        height: 50px;
        margin-right: 4em;
        margin-bottom: 0.8em;
      }
      .single-product.woocommerce-js div.product div.images .flex-control-thumbs li img{
        margin: auto;
      }
      .single-product.woocommerce-js div.product div.images.woocommerce-product-gallery .flex-viewport{
/*         border: 1px solid #f5f5f5; */
        max-height: 500px;
        border-radius: 10px;
    }
    .single-product .video-js{
        max-height: 500px;
      max-width: 518px;
    }
    
    .single-product.woocommerce-js div.product div.images .flex-control-thumbs li img{
        width: 50px;
        height: 50px;
        object-fit: cover;
        opacity: .7;
        border: 1px solid #f5f5f5;
        border-radius: 6px;
        transition: all ease-in-out .3s;
    }
    .single-product.woocommerce-js div.product div.images .flex-control-thumbs li img.flex-active, .woocommerce-js div.product div.images .flex-control-thumbs li img:hover{
        border: 1px solid black;
    }
    .post-type-archive-product.woocommerce-js ul.products li.product a img, .woocommerce-page ul.products li.product a img{
      border-radius: 10px;
      margin-bottom: 25px;
      
    }
    
    .post-type-archive-product.woocommerce-js ul.products li.product .astra-shop-summary-wrap .price{
         margin-bottom: 1.5em;
         display: flex;
        justify-content: center;
        gap: 8px;
    }
}


@media (max-width: 801px) {

.single-product.woocommerce-js div.product div.images.woocommerce-product-gallery .flex-viewport{
    border: 1px solid #f5f5f5;
/*     max-height: 300px; */
    border-radius: 10px;
}
.single-product .video-js{
    max-height: 300px;
  max-width: 518px;
}
.woocommerce-product-gallery__image .woocommerce-product-gallery__vwg_video .vwg_video_js{
    padding-top: 65.33% !important;
}
	.woocommerce-js div.product div.images a img{
		      width: calc(100vw - 20px) !important;
		border-radius:10px;
		
	}


}

 

a.button.add_to_cart_button{
    background: #00ad00;
  color: #fff;
  border-radius: 29px;
  height: 56px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  font-size: 1rem;
  transition: all ease-in-out .3s;
}
a.button.add_to_cart_button:hover{
    background-color: #1D7F35;   
}





.woocommerce-form-coupon-toggle .woocommerce-info:before {
  content: "\e600" !important;
}




/* Swiper Slide */


.swiper-container {
    overflow: hidden;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }
  @media (min-width: 480px) {
    /* .swiper-container {
      min-height: 320px;
    } */
  }
  .swiper-container-wrapper {
    width:50%;
    float: left;
  }
  @media (min-width: 480px) {
    .swiper-container-wrapper {
        display: flex;
        flex-direction: row-reverse;
    }
  }
  
  .swiper-button-next, .swiper-button-prev {
    color: #000;
  }
  
  .swiper-slide {
    text-align: center;
    background-size: cover;
    background-position: center;
    background-color: #fff;
    /* Center slide text vertically */
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    /* Slide content */
  }
  .swiper-slide .description,
  .swiper-slide .title {
    display: block;
    opacity: 0;
    transition: 0.5s ease 0.5s;
  }
  .swiper-slide-active .description,
  .swiper-slide-active .title {
    opacity: 1;
  }
  .swiper-slide-active .title {
    margin-bottom: 0.5rem;
    font-size: 24px;
    color: #000;
    transition: opacity 0.5s ease 0.5s;
  }
  .swiper-slide-active .description {
    font-size: 16px;
    color: #777;
    transition: opacity 0.5s ease 0.75s;
  }
  
  .gallery-top {
    position: relative;
    width: 100%;
    height: 75vh;
  }
  @media (min-width: 480px) {
    .gallery-top {
      width: 80%;
      height: 100vh;
      margin-right: 10px;
    }
  }
  
  .gallery-thumbs {
    width: 100%;
    height: 25vh;
    padding-top: 10px;
  }
  @media (min-width: 480px) {
    .gallery-thumbs {
      width: 20%;
      height: 100vh;
      padding: 0;
    }
  }
  .gallery-thumbs .swiper-wrapper {
    flex-direction: row;
  }
  @media (min-width: 480px) {
    .gallery-thumbs .swiper-wrapper {
      flex-direction: column;
    }
  }
  .gallery-thumbs .swiper-slide {
    width: 25%;
    flex-flow: row nowrap;
    height: 100%;
    opacity: 0.75;
    cursor: pointer;
  }
  @media (min-width: 480px) {
    .gallery-thumbs .swiper-slide {
      flex-flow: column nowrap;
      width: 100%;
    }
  }
  .gallery-thumbs .swiper-slide-thumb-active {
    opacity: 1;
  }




  footer .hfe-nav-menu a.hfe-menu-item {
    padding: 13px 12px !important;
    font-size: 17px !important;
  }


  /* .email-subscribe input{
    border-radius: 1.6666666667rem 0 0 1.6666666667rem;
  background-color: #000;
  border: 1px solid #3e3e3e;
  position: relative;
  height: 60px;
  padding: 0 1.9444444444rem;
  font-size: 1.1111111111rem;
  font-weight: 600;
  transition: border .3s ease-in-out;
  }
  footer .wpforms-container input.wpforms-field-medium{
    max-width: 70%;
  } */

  .footer-icon-list-tab{
    padding-left: 0 !important;
  }
  .footer-head{
    margin-bottom: 10px;
  }
  .footer-second-section .elementor-divider{
    --container-widget-width: 100% !important
  }
  .ast-footer-copyright{
    text-align: left !important;
  }

  @media screen and (max-width:544px) {
    .ast-footer-copyright p{
      text-align: center;

    }

    .site-below-footer-inner-wrap {
      padding: 25px 0 !important
    }
  }
 
  
    




  .site-below-footer-wrap.ast-builder-grid-row-container.site-footer-focus-item.ast-builder-grid-row-2-equal.ast-builder-grid-row-tablet-2-equal.ast-builder-grid-row-mobile-full.ast-footer-row-inline.ast-footer-row-tablet-inline.ast-footer-row-mobile-stack{
    justify-content: center !important;
  }
.single-product form.cart{
    width: 100% !important;
  }
  @media (min-width: 576px) and  (max-width: 1499px){
  .single-product form.cart{
    width: calc(100% - 140px) !important;
  }
  .single-product.woocommerce-js div.product form.cart div.quantity{
    margin-right: 10px;
  }
 .flex-control-thumbs .vwg-video-wrapper i{
    font-size: 14px;
  color: #ffffff;
  position: absolute;
  left: 8px;
  top: 2px;
  transform: inherit;
  }
}

.site-below-footer-wrap  {
    display: block !important;
}
.ast-builder-grid-row-container-inner {
    max-width: var(--wp--custom--ast-container-width) !important;
    margin: 0 auto !important;
}
.ast-builder-grid-row-container-inner > div {
    padding: 0 28px !important;
}

@media screen and (max-width:545px) {

  .ast-builder-grid-row-container-inner > div {
    padding: 24px 0px !important;
}

  
}

.post-type-archive-product .woocommerce-products-header,.post-type-archive-product .woocommerce-result-count,.post-type-archive-product .woocommerce-ordering{
display:none;
}
.woocommerce-shop  ul.products li.product .button, .woocommerce-page ul.products li.product .button{
width:224px!important;
    background-color: #70a04c;
    height: 46px;
margin: auto;
}
.woocommerce-shop > .woocommerce ul.products li.product.desktop-align-left, .woocommerce-page ul.products li.product.desktop-align-left{
text-align:center!important;
}

.woocommerce-shop ul.products li.product a img, .woocommerce-page ul.products li.product a img {
width:73%;
margin:auto;
}

.woocommerce-shop ul.products li.product .woocommerce-loop-product__title, .woocommerce-page ul.products li.product .woocommerce-loop-product__title {
    
    font-size: 16px;
    font-family: "Exo", Sans-serif;
    padding-top: 12px;
    font-weight: 300;

  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;  
  overflow: hidden;
}



.woocommerce-shop ins bdi,.woocommerce-shop del bdi {
    font-family: "DM Sans", sans-serif;
    font-size: 18px;
}


.woocommerce-shop  ul.products li.product .ast-woo-product-category, .woocommerce-page ul.products li.product .ast-woo-product-category{
display:none;
}
@media (max-width: 921px) {
    .woocommerce ul.products li.product.tablet-align-left, .woocommerce-page ul.products li.product.tablet-align-left {
        text-align: center;
    }
}
@media (max-width: 544px) {
    .woocommerce-shop ul.products:not(.elementor-grid), .woocommerce.mobile-columns-2 ul.products:not(.elementor-grid), .woocommerce-page.mobile-columns-2 ul.products:not(.elementor-grid) {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
.woocommerce-page ul.products li.product.mobile-align-left .button{
margin:auto;
}
.woocommerce-shop ul.products li.product .woocommerce-loop-product__title, .woocommerce-page ul.products li.product .woocommerce-loop-product__title {
    
    font-size: 16px;
        max-width: 60%;
        margin: auto;
    
}
.woocommerce-shop ins bdi,.woocommerce-shop del bdi {
    
        font-size: 20px;
}

.woocommerce-shop ins bdi{
color:#21680c;

}
}

@media screen and  (max-width: 599px) {
  .ast-container .woocommerce ul.products:not(.elementor-grid), .woocommerce-page ul.products:not(.elementor-grid), .woocommerce.tablet-columns-3 ul.products:not(.elementor-grid) {
      grid-template-columns: repeat(1, minmax(0, 1fr));
  }
}


@media (min-width:600px) and (max-width: 850px) {
  .ast-container .woocommerce ul.products:not(.elementor-grid), .woocommerce-page ul.products:not(.elementor-grid), .woocommerce.tablet-columns-3 ul.products:not(.elementor-grid) {
      grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

.woocommerce div.product form.cart .button.single_add_to_cart_button{
  font-size: 1rem;
}


.digits-form_tab-item[data-value="otp"] {
	color:green;
	opacity:1;
}
.digits-tp_style.woocommerce-form-login input[type="checkbox"]{
	width: auto;
}

.woocommerce-info .showlogin {
  font-size: 19px;
  text-decoration: underline;
}

input.woocommerce-Button.button.otp_reg_dig_wc.otp-custom{
transform: translateY(-60px)!important;
}
.custom .woocommerce-form-register__submit{
transform: translateY(70px);
}
/*.custom div#dig_man_resend_otp_btn{*/
/*    display:block!important;*/
/*}*/
/*div#dig_man_resend_otp_btn{*/
/*    display:none!important;*/
/*}*/
.digits-form_tab-bar .digits-form_tab-item{
    color: green!important;
    opacity: 1;
}


	.digits-form_tab-bar .digits-tab_active{
		border-bottom-color: rgb(0 0 0)!important;
    opacity: 1;
    color: black!important;
	}
	
	
	/* 27/12/2024 */


.woocommerce-shop ul.products li.product .button {
  /*width: 47% !important;*/
  border: 1px solid transparent;

.woocommerce-shop ul.products li.product .add_to_cart_button{
  margin-right: 3%;
  border-color: #76B227;
  background-color: #76B227;
  color: #ffffff;
  transition: all ease-in-out 0.3s;
}
.woocommerce-shop ul.products li.product .add_to_cart_button:hover {
     background-color: #00AD00;
}
.woocommerce-shop ul.products li.product .buy-now-button{
  border-radius: 29px;
}

/*.post-type-archive-product ul.products li.product .add_to_cart_button{*/
/*  display: none;*/
/*}*/

.single-product button.single_add_to_cart_button.button.alt{
  margin-right: 3%;
  border:1px solid #1d7f35;
  background-color: transparent;
  color: #000000;  
}
.single-product.woocommerce div.product form.cart .button.single_add_to_cart_button.buy_now_button{
  border-radius: 29px;
  justify-content: center;
  align-items: center;  
  display: flex;
}
@media (min-width: 576px) {
  .single-product form.cart{
    display: flex;
  }
}

.woocommerce div.product form.cart .button.single_add_to_cart_button{
  min-width: 140px;
}

.woocommerce-page ul.products li.product .button.buy-now-button{
  border-radius: 29px;
}
.related_products .add_to_cart_button{
  display: none !important;
}





@media screen and (min-width: 1200px) {
  .woocommerce-page ul.products li.product .button {
    height: 46px;
  }
}


@media (max-width: 575px) {
  .woocommerce div.product form.cart .button.single_add_to_cart_button{
    left: 0;
    height: 43px;
    min-width: 100%;
  }
  .single-product form.cart{
    display: flex;
    flex-direction: column;
  }
  .single-product.woocommerce-js div.product form.cart div.quantity{
    display: flex;
  }

}


.woocommerce-form-login-toggle .woocommerce-info, .woocommerce-notices-wrapper .woocommerce-message{
  display: none;
}

.woocommerce-shop ul.products li.product .woocommerce-loop-product__title, .woocommerce-page ul.products li.product .woocommerce-loop-product__title{
  line-height: 27px;
  font-weight: 500;
}

#coupons_list h3{
    display:none;
}

/*.mysticky-welcomebar-fixed{*/
/*  z-index: 99 !important;*/
/*}*/

.mysticky-welcomebar-fixed .mysticky-welcomebar-btn{
    display:block !important;
}
.mysticky-welcomebar-fixed .mysticky-welcomebar-close{
    display:block !important;
    cursor: pointer;
}

.woocommerce-js div.product div.images img{
    width:90%;
}




.subheading {
  font-size: 14px !important;
  color: #646464 !important;
}

@media (max-width: 815px) {
     .ast-woocommerce-container .product  .woocommerce-product-gallery ol{
        overflow-y: auto !important;
        overflow-x: hidden !important;
    }
	 
}

@media (max-width: 575px) {
    .woocommerce-product-gallery .vwg-video-wrapper img{
        left: 0;
        top: 0;
        transform: none;
        margin: 0 !important;
        position: relative;
    }
    
    .ast-woocommerce-container .product  .woocommerce-product-gallery ol{
        overflow-y: auto !important;
        overflow-x: hidden !important;
    }
    .ast-woocommerce-container  .woocommerce-product-gallery ol img{
        max-width: 100%;
    }
    
   .woocommerce .ast-woocommerce-container div.product div.images .flex-control-thumbs li{
        padding: 0 0 10px 0;
    }
    .woocommerce-js div.product div.woocommerce-product-gallery--columns-4 .flex-control-thumbs li:last-child{
        padding-bottom: 0;
        margin-bottom: 0;
    }
    .woocommerce .ast-woocommerce-container div.product div.images .flex-control-thumbs{
        flex: 1 0 36px;
    }
    .ast-woocommerce-container .flex-control-thumbs .vwg-video-wrapper i{
        top: 6px;
    }
    .woocommerce div.product div.images .flex-control-thumbs li .vwg-video-wrapper img{
        min-height: 27px;
    }
}


#btn-1cc-pdp{
    background-color: #1d7f35;
  color: white;
  padding-top: 11px;
  margin-left: 0;
}
@media (min-width: 576px) {
    #btn-1cc-pdp{
        margin-left: 5px;
    }
}
.cart-greenmeat .wc-proceed-to-checkout {
    padding: 1rem;
}

.woocommerce-cart .cart-greenmeat .cart_totals {
    padding: 0;
}

.cart-greenmeat h2 {
    margin: 0 !important;
    font-size: 1rem;
}

.cart-greenmeat #btn-1cc {
    width: auto;
    margin-left: auto;
    text-transform: uppercase;
}

.cart-greenmeat table tbody th {
        font-weight: 600 !important;
}
.cart-greenmeat table tbody tr td {
    text-align: right;
}

.cart-greenmeat .select2-container .select2-selection--single {
    text-align: left;
}


.wac-cart-table bdi {
    display: flex;
    gap: 5px;
}

.wac-checkout a.elementor-button.elementor-button-link.elementor-size-sm {
    width: auto !important;
    background: transparent !important;
    color: #000 !important;
    border: 2px solid #5c9735 !important;
    border-radius: 50px;
    transition: all linear 0.2s;
}
.wac-checkout a.elementor-button.elementor-button-link.elementor-size-sm:hover {
    background: #5c9735;
    color: #ffffff;
}
.custom-thumbnail-wrapper{
        overflow-x: auto;
    max-width: 200px;
    scrollbar-width: thin;
}
.woocommerce-cart header.entry-header.ast-header-without-markup{
    display:none;
}

tr.woocommerce-shipping-totals.shipping {
    display: none;
}

#btn-1cc, button[name="update_cart"] {
    border-radius: 29px !important;
}
button[name="update_cart"]:disabled:hover{
    background-color: rgb(92, 151, 53) !important;
    color: white !important;
}
.dialog-type-lightbox{
    background-color: transparent;
}
.dialog-type-lightbox .swiper-slide{
    background: rgba(0, 0, 0, 0.8);
}
  .woocommerce-js div.product div.summary .woocommerce-product-details__short-description :last-child{
      margin-bottom: 0;
  }

.wac-custom-gallery > ul{
	display: flex;
    gap: 15px;
    flex-wrap: wrap;
    /* padding: 0 10px; */
    margin: 10px 0 0 0;
    list-style: none;
/*     justify-content: space-between; */
	
}
 .wac-custom-gallery > ul > li{ 
		    width: 100%;
	 border: #e7e7e7 1px solid;
    }
 
 


.woocommerce-js div.product div.images .flex-control-thumbs{
    overflow-y: auto;
  max-height: 400px;
  scrollbar-width: thin;
    
}

  .single-product.woocommerce-js div.product div.woocommerce-product-gallery--columns-4 .flex-control-thumbs li {
      width: 57px;
      margin-right:10px;
  }
  
@media (min-width:922px) {

      .single-product.woocommerce-js div.product div.images .flex-control-thumbs {
        margin-right: .5rem;
    }
	 .wac-custom-gallery > ul > li{ 
		    width: calc(33.33% - 15px);
    }
  }
  
.woocommerce-js div.product span.onsale{
    margin-top: -32px;
}
@media (max-width:575px) {
    .woocommerce-js div.product span.onsale{
        margin-top: 0px;
        margin-left: 40px;
    }
}

.mysticky-welcomebar-fixed { 
    z-index: 99999 !important;
}